﻿namespace MigraDocDemo
{
    using System.Collections.Generic;

    using BusinessLogic;
    using Enums;
    using Models;

    class Program
    {
        public static void Main(string[] args)
        {
            var model = CreateModel();

            var pdfService = new PdfService();

            pdfService.CreatePdf(model);
        }

        /// <summary>
        /// Creates a model for the PdfService to generate a PDF document for. 
        /// </summary>
        /// <returns></returns>
        private static HeartsAlikeModel CreateModel()
        {
            return new HeartsAlikeModel
            {
                MyAge = 34,
                MyGender = Gender.Male,
                MyAppearanceTraits = new List<AppearanceTraits>
                {
                    AppearanceTraits.BlackEyes,
                    AppearanceTraits.BlackHair,
                    AppearanceTraits.Long,
                    AppearanceTraits.NotThin,
                    AppearanceTraits.LongHair
                },
                MyCharacterTraits = new List<CharacterTraits>
                {
                    CharacterTraits.Funny,
                    CharacterTraits.GreatWithKids,
                    CharacterTraits.Punctual
                },

                LookingForGender = Gender.Female,
                LookingForAge = 32,
                MaxAgeDifference = 4,
                LookingForAppearanceTraits = new List<AppearanceTraits>
                {
                    AppearanceTraits.BlondeHair,
                    AppearanceTraits.CurlyHair,
                    AppearanceTraits.LongHair,
                    AppearanceTraits.Long
                },
                LookingForCharacterTraits = new List<CharacterTraits>
                {
                    CharacterTraits.Funny,
                    CharacterTraits.EasyGoing
                }
            };
        }
    }
}
